﻿@page
@using Microsoft.AspNetCore.Mvc.Localization;
@using Microsoft.Extensions.Localization;
@inject IStringLocalizer Localizer;
@inject IHtmlLocalizer HtmlLocalizer;
@model Canyon.GM.Panel.Pages.LoginWithRecoveryCodeModel
@{
}

<form method="post" asp-route-returnUrl="@Model.ReturnUrl">
    <p>
        @Localizer.GetString("LoginWithRecoveryCodeAlert")
    </p>

    @await Html.PartialAsync("_ErrorSummary")

    <div class="form-floating mb-3">
        <input class="form-control" asp-for="Input.RecoveryCode" placeholder="123456">
        <label asp-for="Input.RecoveryCode">@Localizer["TwoFactorCode"]</label>
    </div>
    <button class="w-100 btn btn-lg btn-primary" type="submit">@Localizer["SignIn"]</button>
</form>